import { httpAxios } from "@/api/ApiInstance"
import { type queryParamsType } from "@/queryParams/"

//根据id获取课程信息
export const getTeacherChapterKnowledgeMaterial = (id: string, fromType: queryParamsType["fromType"]) => {
  return httpAxios.axioseRquest({
    method: "post",
    url: "/edu-app/teacherChapterKnowledgeMaterial/detail",
    data: {
      id,
      fromType
    }
  })
}

// 保存信息
export const putTeacherChapterKnowledgeMaterial = (data: { id: string; dataJson: string }) => {
  return httpAxios.axioseRquest({
    method: "post",
    url: "/edu-app/teacherChapterKnowledgeMaterial/savePptJson",
    data
  })
}

// 获取曲目信息
export const getMaterialQueryPage = (data: Record<string, any>) => {
  return httpAxios.axioseRquest({
    method: "post",
    url: "/edu-app/material/queryPage",
    data
  })
}
